%define module_name MARC-Field-Normalize-NACO
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(List/MoreUtils.pm) perl(MARC/Record.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Unicode/Normalize.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Matching normalization for MARC::Field
Group: Development/Perl
License: perl
URL: https://github.com/ctfliblime/MARC-Field-Normalize-NACO

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CF/CFOUTS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
MARC::Field::Normalize::NACO turns MARC::Field objects into
strings canonicalized into NACO format. This makes them
suitable for matching against an index of similarly normalized
fields.

The principal means of invoking is through the as_naco() method
that the module injects into MARC::Field when loaded. A string
is returned.

This method takes an optional named parameter, subfields. The
value of this parameter should be something that fits nicely
into the regex qr/[$subfields]/, typically a range of letters.
The default value is "a-z68".


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/M*

%changelog
* Wed Jan 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Tue Nov 01 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- regenerated from template by package builder

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

